<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>День 1</title>
</head>
<style>
    .box {
        width: 30px; height: 30px; 
        display: inline-block; 
        margin:5px;
        transition: 500ms;
    }
</style>
<body>
    <div id="app">
        <h1> Мы загадали число. Попробуйте угадать! </h1>
        <input type="number" v-model="inputnumber">
        <button v-on:click="guessnumber">Угадать</button>
        <p>{{ message }} {{guesses}}, осталось еще {{3 - guesses}}</p>
    </div>

    <div id="app1">
        <form>
            Введите личные данные: <br>
            Имя: <input type="text" v-model="name"><br>
            Фамилия: <input type="text" v-model="lastname"><br>
            Почта: <input type="email" v-model="email"><br>
            Пароль: <input type="password" v-model="password"><br>
            <button v-on:click="checkdata">Проверить</button>
        </form>
        <br>
    </div>

    <div id="app2">
        <div style="border: 1px solid palevioletred" v-on:mousemove="getCoords">
            <br><br><br><br><br><br><br><br></div>
        {{x}}:{{y}}
    </div>

    <div id="app3">
        <br>
        <img v-bind:src="src" v-on:dblclick="ondoubleclick">
    </div>

   <div id="app4">
        <button v-on:click="printbuttontext" id="btn">Это текст на кнопке</button>
    </div>

    <div id="app5">
        <image src="folder.jpg" v-bind:style="{ height: h + '%', width: w + '%' }" v-on:click="changesize"></image>
    </div> 

    <div id="app6" style="width: 420px;">
        <div v-for="n in 100" v-on:mouseover="makeRoundCorners" v-on:mouseleave="makeSharpCorners"  class="box" v-bind:style ="{'border-radius': radius +'px', 'background-color': clr }"></div> 
    
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
    <script>
        random = (num) => {
            return Math.ceil(Math.random() * num);
        }
        //задание 11 (функции) 3 балла
        var app = new Vue({
            el: '#app',
            data: {
                number: this.random(10),
                guesses: 0,
                inputnumber: 0,
                message: 'Ваши попытки:'
            },
            methods: {
                guessnumber: function () {
                    if (this.guesses < 3) {
                        if (this.inputnumber == this.number) {
                            alert("Угадали!");
                            this.guesses += 1;
                        }
                        else if (this.inputnumber > this.number) {
                            alert("Возьмите число поменьше..");
                            this.guesses += 1;
                        }
                        else if (this.inputnumber < this.number) {
                            alert("Маловато будет!");
                            this.guesses += 1;
                        }
                    }
                },
            }
        });

        //задание 4 (робота з рядками) 4 балла
        var app1 = new Vue({
            el: '#app1',
            data: {
                name: '',
                lastname: '',
                password: '',
                email: ''
            },
            methods: {
                checkdata: function () {
                    this.name.replace(' ', '');
                    this.lastname.replace(' ', '');
                    if (this.password.length >= 5 && this.email.indexOf('@') > -1 && this.email.indexOf(' ') == -1) {
                        alert("Все введено верно");
                    }
                    else alert("введите верные данные")
                }
            }
        });
        //події миші і клавіатури 
        //завдання 1, 2 бали
        var app2 = new Vue({
            el: '#app2',
            data: {
                x: 0,
                y: 0
            },
            methods: {
                getCoords: function (event) {
                    this.x = event.clientX;
                    this.y = event.clientY;
                }
            }
        })

        //завдання 2, 2 бали
        var app3 = new Vue({
            el: '#app3',
            data: { 
                src: "folderclosed.jpg"
        }, 
        methods: {
            ondoubleclick: function() {this.src = "folder.jpg"}
        }
        })

        //завдання 6, 2 бали
        var app4 = new Vue({
            el:'#app4',
            methods:{
                printbuttontext: function(){
                    btn1 = document.getElementById("btn"); 
                    alert(btn1.innerText);
                }
            }
        })

        //завдання 8, 2 бали

        var app5 = new Vue({
            el:'#app5',
            data: {
                w:10
            },
            methods: {
                changesize: function() {
                    this.w = this.w + 40; 
                    this.h = this.h + 40; 
                }
            }

        })

        //завдання 3
        var app6 = new Vue ({
            el:'#app6',
            data:{
                radius:0,
                clr:'pink'
            },
            methods: {
                makeRoundCorners: function() {
                    this.radius = 15;
                    this.clr='palevioletred';
                },
                makeSharpCorners: function() {
                    this.radius = 0;
                    this.clr='pink';
                }
            }
        })


    </script>

</body>

</html>